import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  groupId: SortOrderSchema.optional()
}).strict();
export const PdfFileAvgOrderByAggregateInputObjectSchema: z.ZodType<Prisma.PdfFileAvgOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.PdfFileAvgOrderByAggregateInput>;
export const PdfFileAvgOrderByAggregateInputObjectZodSchema = makeSchema();
